> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/devices/{deviceId}/config > Update a device ## OpenAPI ````json PUT /v1/devices/{deviceId}/config { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/devices/{deviceId}/config": { "put": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "deviceId", "in": "path", "required": true, "description": "", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DevicesDeviceIdConfigPutRequest" } } } }, "responses": { "202": { "description": "Accepted", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DevicesDeviceIdConfigPutResponse" } } } } }, "description": "Update a device" } } }, "components": { "schemas": { "v1DevicesDeviceIdConfigPutRequest": { "type": "object", "properties": { "configurationMetadata": { "$ref": "#/components/schemas/manaV2ConfigurationMetadata" }, "core": { "$ref": "#/components/schemas/manaV2CoreDeviceConfig" }, "description": { "type": "string", "example": "example string" }, "edge": { "$ref": "#/components/schemas/manaV2EdgeDeviceConfig" }, "localWebServerPassword": { "type": "string", "example": "example string" }, "replace": { "type": "boolean", "example": true } }, "additionalProperties": false }, "v1DevicesDeviceIdConfigPutResponse": { "type": "object", "properties": { "jobId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "workflowId": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2ConfigurationMetadata": { "type": "object", "properties": { "commitConfirm": { "type": "boolean", "example": true }, "description": { "type": "string", "example": "example string" }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2CoreDeviceConfig": { "type": "object", "properties": { "bgpInstance": { "$ref": "#/components/schemas/manaV2BgpInstanceConfig" }, "coreVrf": { "$ref": "#/components/schemas/manaV2VrfConfig" }, "interfaces": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableInterfaceCoreConfig" } }, "ipfixExporters": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableIpfixExporterConfig" } }, "ispVrfs": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2VrfConfig" } }, "maintenanceMode": { "type": "boolean", "example": true }, "name": { "type": "string", "example": "example string" }, "prefixSets": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullablePrefixSetConfig" } }, "prometheus": { "$ref": "#/components/schemas/manaV2PrometheusConfig" }, "region": { "type": "string", "example": "ENUM_VALUE" }, "regionName": { "type": "string", "example": "example string" }, "routePolicies": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableRoutingPolicyConfig" } }, "site": { "$ref": "#/components/schemas/manaV2NewSite" }, "trafficPolicy": { "$ref": "#/components/schemas/manaV2ForwardingPolicyConfig" }, "vrfs": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2VrfConfig" } } }, "additionalProperties": false }, "manaV2EdgeDeviceConfig": { "type": "object", "properties": { "bgpEnabled": { "type": "boolean", "example": true }, "bgpInstance": { "$ref": "#/components/schemas/manaV2BgpInstanceConfig" }, "circuits": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2CircuitConfig" } }, "dhcpServerEnabled": { "type": "boolean", "example": true }, "dns": { "$ref": "#/components/schemas/manaV2NullableDnsConfig" }, "interfaces": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableInterfaceConfig" } }, "ipfixEnabled": { "type": "boolean", "example": true }, "ipfixExporters": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableIpfixExporterConfig" } }, "lagInterfaces": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableLagInterfaceConfig" } }, "lldpEnabled": { "type": "boolean", "example": true }, "localRouteTag": { "$ref": "#/components/schemas/manaV2NullableRouteTagSet" }, "localWebServerPassword": { "type": "string", "example": "example string" }, "location": { "$ref": "#/components/schemas/manaV2Location" }, "maintenanceMode": { "type": "boolean", "example": true }, "name": { "type": "string", "example": "example string" }, "natPolicy": { "$ref": "#/components/schemas/manaV2NatPolicyConfig" }, "ntpGlobalObject": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableNtpConfig" } }, "ospfv2Enabled": { "type": "boolean", "example": true }, "ospfv3Enabled": { "type": "boolean", "example": true }, "prefixSets": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullablePrefixSetConfig" } }, "region": { "type": "string", "example": "ENUM_VALUE" }, "regionName": { "type": "string", "example": "example string" }, "routePolicies": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableRoutingPolicyConfig" } }, "segments": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2VrfConfig" } }, "site": { "$ref": "#/components/schemas/manaV2NewSite" }, "siteToSiteVpn": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableIPsecTunnelConfig" } }, "slaConformance": { "$ref": "#/components/schemas/manaV2NullableSlaConformance" }, "snmp": { "$ref": "#/components/schemas/manaV2NullableSnmpConfig" }, "snmpGlobalObject": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableSnmpConfig" } }, "staticRoutesEnabled": { "type": "boolean", "example": true }, "trafficPolicy": { "$ref": "#/components/schemas/manaV2ForwardingPolicyConfig" }, "vrrpEnabled": { "type": "boolean", "example": true } }, "additionalProperties": false }, "manaV2BgpInstanceConfig": { "type": "object", "properties": { "addressFamilies": { "type": "array", "items": { "type": "string", "example": "ENUM_VALUE" } }, "asn": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "routeServer": { "type": "boolean", "example": true }, "routerId": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2VrfConfig": { "type": "object", "properties": { "bgpAggregations": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableBgpAggregationsConfig" } }, "bgpNeighbors": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableBgpNeighborConfig" } }, "bgpRedistribution": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableBgpRedistributeProtocolConfig" } }, "dhcpSubnets": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableDhcpSubnetConfig" } }, "ebgpMultipath": { "$ref": "#/components/schemas/manaV2NullableBgpMultipathConfig" }, "ipfixExporters": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableIpfixExporterConfig" } }, "natRuleset": { "$ref": "#/components/schemas/manaV2NullableNatPolicyRulesetName" }, "networks": { "type": "array", "items": { "type": "string", "example": "example string" } }, "ospfv2": { "$ref": "#/components/schemas/manaV2NullableOspfProcessConfig" }, "ospfv3": { "$ref": "#/components/schemas/manaV2NullableOspfProcessConfig" }, "overlayFilters": { "$ref": "#/components/schemas/manaV2OverlayFilterConfig" }, "staticRoutes": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableStaticRouteConfig" } }, "syslogTargets": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableSyslogCollectorConfig" } }, "trafficRuleset": { "$ref": "#/components/schemas/manaV2NullableTrafficPolicyRulesetName" } }, "additionalProperties": false }, "manaV2NullableInterfaceCoreConfig": { "type": "object", "properties": { "interface": { "$ref": "#/components/schemas/manaV2InterfaceCoreConfig" } }, "additionalProperties": false }, "manaV2NullableIpfixExporterConfig": { "type": "object", "properties": { "exporter": { "$ref": "#/components/schemas/manaV2IpfixExporterConfig" } }, "additionalProperties": false }, "manaV2NullablePrefixSetConfig": { "type": "object", "properties": { "prefixSet": { "$ref": "#/components/schemas/manaV2PrefixSetConfig" } }, "additionalProperties": false }, "manaV2PrometheusConfig": { "type": "object", "properties": { "ruleGroups": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullablePrometheusRuleGroupConfig" } }, "sink": { "$ref": "#/components/schemas/manaV2NullablePrometheusRemoteWriteSinkConfig" }, "sysdbMonitors": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullablePrometheusSysDbMonitorConfig" } } }, "additionalProperties": false }, "manaV2NullableRoutingPolicyConfig": { "type": "object", "properties": { "policy": { "$ref": "#/components/schemas/manaV2RoutingPolicyConfig" } }, "additionalProperties": false }, "manaV2NewSite": { "type": "object", "properties": { "globalPrefixSetOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } }, "ipfixExporterOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } }, "ipfixExporterOpsV2": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2GlobalObjectOperationConfig" } }, "location": { "$ref": "#/components/schemas/manaV2Location" }, "name": { "type": "string", "example": "example string" }, "notes": { "type": "string", "example": "example string" }, "ntpOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } }, "prefixSetOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } }, "routeTag": { "$ref": "#/components/schemas/manaV2RouteTag" }, "routingPolicyOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } }, "snmpOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } }, "syslogServerOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } }, "syslogServerOpsV2": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2GlobalObjectOperationConfig" } }, "trafficPolicyOps": { "type": "object", "additionalProperties": { "type": "string", "example": "ENUM_VALUE" } } }, "additionalProperties": false }, "manaV2ForwardingPolicyConfig": { "type": "object", "properties": { "dpiApplications": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableDpiApplicationConfig" } }, "networkLists": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableIpNetworkListConfig" } }, "portLists": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableL4PortListConfig" } }, "securityRulesets": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableSecurityPolicyRulesetConfig" } }, "trafficRulesets": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableTrafficPolicyRulesetConfig" } }, "zoneFirewalls": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableZoneFirewallConfig" } }, "zones": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableSecurityZoneConfig" } } }, "additionalProperties": false }, "manaV2CircuitConfig": { "type": "object", "properties": { "bgpAggregations": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableBgpAggregationsConfig" } }, "bgpMultipath": { "$ref": "#/components/schemas/manaV2NullableBgpMultipathConfig" }, "bgpNeighbors": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableBgpNeighborConfig" } }, "bgpRedistribution": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableBgpRedistributeProtocolConfig" } }, "carrier": { "type": "string", "example": "ENUM_VALUE" }, "circuitType": { "type": "string", "example": "ENUM_VALUE" }, "connectionType": { "type": "string", "example": "ENUM_VALUE" }, "description": { "type": "string", "example": "example string" }, "diaEnabled": { "type": "boolean", "example": true }, "dropMechanism": { "type": "string", "example": "ENUM_VALUE" }, "label": { "type": "string", "example": "ENUM_VALUE" }, "lastResort": { "type": "boolean", "example": true }, "linkDownSpeedMbps": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "linkUpSpeedMbps": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "loopback": { "type": "boolean", "example": true }, "name": { "type": "string", "example": "example string" }, "patAddresses": { "$ref": "#/components/schemas/manaV2NullableIpList" }, "qosProfile": { "type": "string", "example": "ENUM_VALUE" }, "qosProfileType": { "type": "string", "example": "ENUM_VALUE" }, "staticRoutes": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableStaticRouteConfig" } } }, "additionalProperties": false }, "manaV2NullableDnsConfig": { "type": "object", "properties": { "dns": { "$ref": "#/components/schemas/manaV2DnsConfig" } }, "additionalProperties": false }, "manaV2NullableInterfaceConfig": { "type": "object", "properties": { "interface": { "$ref": "#/components/schemas/manaV2InterfaceConfig" } }, "additionalProperties": false }, "manaV2NullableLagInterfaceConfig": { "type": "object", "properties": { "interface": { "$ref": "#/components/schemas/manaV2LagInterfaceConfig" } }, "additionalProperties": false }, "manaV2NullableRouteTagSet": { "type": "object", "properties": { "entry": { "$ref": "#/components/schemas/manaV2RouteTag" } }, "additionalProperties": false }, "manaV2Location": { "type": "object", "properties": { "addressLine1": { "type": "string", "example": "example string" }, "addressLine2": { "type": "string", "example": "example string" }, "city": { "type": "string", "example": "example string" }, "country": { "type": "string", "example": "example string" }, "countryCode": { "type": "string", "example": "example string" }, "latitude": { "type": "number", "format": "double", "example": 123.45 }, "longitude": { "type": "number", "format": "double", "example": 123.45 }, "notes": { "type": "string", "example": "example string" }, "provinceCode": { "type": "string", "example": "example string" }, "state": { "type": "string", "example": "example string" }, "stateCode": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2NatPolicyConfig": { "type": "object", "properties": { "natRulesets": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableNatPolicyRulesetConfig" } } }, "additionalProperties": false }, "manaV2NullableNtpConfig": { "type": "object", "properties": { "config": { "$ref": "#/components/schemas/manaV2NtpConfig" } }, "additionalProperties": false }, "manaV2NullableIPsecTunnelConfig": { "type": "object", "properties": { "siteToSiteVpn": { "$ref": "#/components/schemas/manaV2IPsecTunnel" } }, "additionalProperties": false }, "manaV2NullableSlaConformance": { "type": "object", "properties": { "slaConformance": { "$ref": "#/components/schemas/manaV2SlaConformance" } }, "additionalProperties": false }, "manaV2NullableSnmpConfig": { "type": "object", "properties": { "config": { "$ref": "#/components/schemas/manaV2SnmpConfig" } }, "additionalProperties": false }, "manaV2NullableBgpAggregationsConfig": { "type": "object", "properties": { "config": { "$ref": "#/components/schemas/manaV2BgpAggregationsConfig" } }, "additionalProperties": false }, "manaV2NullableBgpNeighborConfig": { "type": "object", "properties": { "neighbor": { "$ref": "#/components/schemas/manaV2BgpNeighborConfig" } }, "additionalProperties": false }, "manaV2NullableBgpRedistributeProtocolConfig": { "type": "object", "properties": { "protocol": { "$ref": "#/components/schemas/manaV2BgpRedistributeProtocolConfig" } }, "additionalProperties": false }, "manaV2NullableDhcpSubnetConfig": { "type": "object", "properties": { "subnet": { "$ref": "#/components/schemas/manaV2DhcpSubnetConfig" } }, "additionalProperties": false }, "manaV2NullableBgpMultipathConfig": { "type": "object", "properties": { "config": { "$ref": "#/components/schemas/manaV2BgpMultipathConfig" } }, "additionalProperties": false }, "manaV2NullableNatPolicyRulesetName": { "type": "object", "properties": { "ruleset": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2NullableOspfProcessConfig": { "type": "object", "properties": { "process": { "$ref": "#/components/schemas/manaV2OspfProcessConfig" } }, "additionalProperties": false }, "manaV2OverlayFilterConfig": { "type": "object", "properties": { "exportPolicy": { "$ref": "#/components/schemas/manaV2NullablePolicyName" }, "importPolicy": { "$ref": "#/components/schemas/manaV2NullablePolicyName" } }, "additionalProperties": false }, "manaV2NullableStaticRouteConfig": { "type": "object", "properties": { "route": { "$ref": "#/components/schemas/manaV2StaticRouteConfig" } }, "additionalProperties": false }, "manaV2NullableSyslogCollectorConfig": { "type": "object", "properties": { "target": { "$ref": "#/components/schemas/manaV2SyslogCollectorConfig" } }, "additionalProperties": false }, "manaV2NullableTrafficPolicyRulesetName": { "type": "object", "properties": { "ruleset": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2InterfaceCoreConfig": { "type": "object", "properties": { "adminStatus": { "type": "boolean", "example": true }, "alias": { "type": "string", "example": "example string" }, "circuit": { "type": "string", "example": "example string" }, "coreNeighbor": { "$ref": "#/components/schemas/manaV2InterfaceCoreToCorePeerConfig" }, "coreToCoreTunnel": { "$ref": "#/components/schemas/manaV2InterfaceWanManagementConfig" }, "createLinkLocalAddress": { "type": "boolean", "example": true }, "default": { "$ref": "#/components/schemas/manaV2InterfaceDefaultConfig" }, "description": { "type": "string", "example": "example string" }, "duplex": { "type": "string", "example": "example string" }, "dynamic": { "$ref": "#/components/schemas/manaV2LatencyBandwidth" }, "flexAlgos": { "$ref": "#/components/schemas/manaV2InterfaceCoreFlexAlgoConfig" }, "gatewayNeighbor": { "$ref": "#/components/schemas/manaV2InterfaceCoreToGatewayPeerConfig" }, "gw": { "$ref": "#/components/schemas/manaV2NullableInterfaceIpConfig" }, "interfaceType": { "$ref": "#/components/schemas/manaV2interface_config_type" }, "ipsec": { "$ref": "#/components/schemas/manaV2InterfaceIPsecConfig" }, "ipv4": { "$ref": "#/components/schemas/manaV2InterfaceIpConfig" }, "ipv6": { "$ref": "#/components/schemas/manaV2InterfaceIpConfig" }, "isMaintenanceWan": { "type": "boolean", "example": true }, "lan": { "type": "string", "example": "example string" }, "lldpEnabled": { "type": "boolean", "example": true }, "loopback": { "type": "boolean", "example": true }, "maxTransmissionUnit": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "mplsEnabled": { "type": "boolean", "example": true }, "ospfCost": { "$ref": "#/components/schemas/manaV2CoreLinkCost" }, "ospfInterface": { "$ref": "#/components/schemas/manaV2NullableOspfInterfaceConfig" }, "peerDeviceId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "peerHostname": { "type": "string", "example": "example string" }, "securityZone": { "type": "string", "example": "example string" }, "speed": { "type": "integer", "format": "int64", "example": 1234567891011 }, "static": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "subinterfaces": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableCoreInterfaceVlanConfig" } }, "tcpMss": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "tcpMssV4": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "tcpMssV6": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "tunnelInterface": { "type": "string", "example": "example string" }, "tunnelUnderlay": { "type": "string", "example": "example string" }, "wan": { "$ref": "#/components/schemas/manaV2InterfaceWanConfig" }, "wanManagement": { "$ref": "#/components/schemas/manaV2InterfaceWanManagementConfig" }, "xTalkFilter": { "type": "boolean", "example": true } }, "additionalProperties": false }, "manaV2IpfixExporterConfig": { "type": "object", "properties": { "destinationAddress": { "type": "string", "example": "example string" }, "destinationPort": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "globalId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "isGlobalSync": { "type": "boolean", "example": true }, "monitoredSegments": { "type": "array", "items": { "type": "string", "example": "example string" } }, "name": { "type": "string", "example": "example string" }, "sampleMode": { "type": "string", "example": "ENUM_VALUE" }, "sampleRate": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "sourceInterfaceName": { "type": "string", "example": "example string" }, "vrfId": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2PrefixSetConfig": { "type": "object", "properties": { "description": { "type": "string", "example": "example string" }, "entries": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2PrefixSetConfigNullableEntry" } }, "globalId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "isGlobalSync": { "type": "boolean", "example": true }, "mode": { "type": "string", "example": "ENUM_VALUE" }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2NullablePrometheusRuleGroupConfig": { "type": "object", "properties": { "ruleGroup": { "$ref": "#/components/schemas/manaV2PrometheusRuleGroupConfig" } }, "additionalProperties": false }, "manaV2NullablePrometheusRemoteWriteSinkConfig": { "type": "object", "properties": { "sink": { "$ref": "#/components/schemas/manaV2PrometheusRemoteWriteSinkConfig" } }, "additionalProperties": false }, "manaV2NullablePrometheusSysDbMonitorConfig": { "type": "object", "properties": { "sysdbMonitor": { "$ref": "#/components/schemas/manaV2PrometheusSysDbMonitorConfig" } }, "additionalProperties": false }, "manaV2RoutingPolicyConfig": { "type": "object", "properties": { "attachPoint": { "type": "string", "example": "ENUM_VALUE" }, "defaultAction": { "type": "string", "example": "ENUM_VALUE" }, "description": { "type": "string", "example": "example string" }, "globalId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "isGlobalSync": { "type": "boolean", "example": true }, "name": { "type": "string", "example": "example string" }, "statements": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2RoutingPolicyConfigNullableStatement" } } }, "additionalProperties": false }, "manaV2GlobalObjectOperationConfig": { "type": "object", "properties": { "interface": { "$ref": "#/components/schemas/manaV2NullableSiteInterfaceName" }, "operation": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2RouteTag": { "type": "object", "properties": { "levelOne": { "type": "string", "example": "example string" }, "levelTwo": { "type": "string", "example": "example string" }, "levelZero": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2NullableDpiApplicationConfig": { "type": "object", "properties": { "application": { "$ref": "#/components/schemas/manaV2DpiApplicationConfig" } }, "additionalProperties": false }, "manaV2NullableIpNetworkListConfig": { "type": "object", "properties": { "list": { "$ref": "#/components/schemas/manaV2IpNetworkListConfig" } }, "additionalProperties": false }, "manaV2NullableL4PortListConfig": { "type": "object", "properties": { "list": { "$ref": "#/components/schemas/manaV2L4PortListConfig" } }, "additionalProperties": false }, "manaV2NullableSecurityPolicyRulesetConfig": { "type": "object", "properties": { "ruleset": { "$ref": "#/components/schemas/manaV2SecurityPolicyRulesetConfig" } }, "additionalProperties": false }, "manaV2NullableTrafficPolicyRulesetConfig": { "type": "object", "properties": { "ruleset": { "$ref": "#/components/schemas/manaV2TrafficPolicyRulesetConfig" } }, "additionalProperties": false }, "manaV2NullableZoneFirewallConfig": { "type": "object", "properties": { "zoneFirewall": { "$ref": "#/components/schemas/manaV2ZoneFirewallConfig" } }, "additionalProperties": false }, "manaV2NullableSecurityZoneConfig": { "type": "object", "properties": { "zone": { "$ref": "#/components/schemas/manaV2SecurityZoneConfig" } }, "additionalProperties": false }, "manaV2NullableIpList": { "type": "object", "properties": { "addresses": { "type": "array", "items": { "type": "string", "example": "example string" } } }, "additionalProperties": false }, "manaV2DnsConfig": { "type": "object", "properties": { "cloudflare": { "$ref": "#/components/schemas/manaV2DNSConfigCloudflare" }, "dynamic": { "$ref": "#/components/schemas/manaV2DNSConfigDynamic" }, "static": { "$ref": "#/components/schemas/manaV2DNSConfigStatic" } }, "additionalProperties": false }, "manaV2InterfaceConfig": { "type": "object", "properties": { "adminStatus": { "type": "boolean", "example": true }, "alias": { "type": "string", "example": "example string" }, "circuit": { "type": "string", "example": "example string" }, "description": { "type": "string", "example": "example string" }, "duplex": { "type": "string", "example": "example string" }, "ipsec": { "$ref": "#/components/schemas/manaV2InterfaceIPsecConfig" }, "ipv4": { "$ref": "#/components/schemas/manaV2InterfaceIpConfig" }, "ipv6": { "$ref": "#/components/schemas/manaV2InterfaceIpConfig" }, "lan": { "type": "string", "example": "example string" }, "lldpEnabled": { "type": "boolean", "example": true }, "loopback": { "type": "boolean", "example": true }, "macsec": { "$ref": "#/components/schemas/manaV2NullableMaCsecConfiguration" }, "maxTransmissionUnit": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "pppoeInterfaces": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullablePpPoEInterfaceConfig" } }, "securityZone": { "type": "string", "example": "example string" }, "speed": { "type": "integer", "format": "int64", "example": 1234567891011 }, "subinterfaces": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableInterfaceVlanConfig" } }, "tcpMss": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "tcpMssV4": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "tcpMssV6": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "v4TcpMss": { "$ref": "#/components/schemas/manaV2NullableTcpMssV4" }, "v6TcpMss": { "$ref": "#/components/schemas/manaV2NullableTcpMssV6" } }, "additionalProperties": false }, "manaV2LagInterfaceConfig": { "type": "object", "properties": { "adminStatus": { "type": "boolean", "example": true }, "alias": { "type": "string", "example": "example string" }, "description": { "type": "string", "example": "example string" }, "ipv4": { "$ref": "#/components/schemas/manaV2InterfaceIpConfig" }, "ipv6": { "$ref": "#/components/schemas/manaV2InterfaceIpConfig" }, "lacp": { "$ref": "#/components/schemas/manaV2LacpConfig" }, "lagMembers": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableLagMemberInterface" } }, "macsec": { "$ref": "#/components/schemas/manaV2NullableMaCsecConfiguration" }, "minimumMembers": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "mtu": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "segment": { "type": "string", "example": "example string" }, "subinterfaces": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableInterfaceLagvlanConfig" } } }, "additionalProperties": false }, "manaV2NullableNatPolicyRulesetConfig": { "type": "object", "properties": { "ruleset": { "$ref": "#/components/schemas/manaV2NatPolicyRulesetConfig" } }, "additionalProperties": false }, "manaV2NtpConfig": { "type": "object", "properties": { "domains": { "type": "array", "items": { "type": "string", "example": "example string" } }, "globalId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "isGlobalSync": { "type": "boolean", "example": true }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2IPsecTunnel": { "type": "object", "properties": { "destinationAddress": { "type": "string", "example": "example string" }, "ikeInitiator": { "type": "boolean", "example": true }, "ipsecLabel": { "type": "string", "example": "ENUM_VALUE" }, "lan": { "type": "string", "example": "example string" }, "localAddressV4": { "type": "string", "example": "example string" }, "localAddressV6": { "type": "string", "example": "example string" }, "localCircuit": { "type": "string", "example": "example string" }, "localIkePeerIdentity": { "type": "string", "example": "example string" }, "mtu": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "name": { "type": "string", "example": "example string" }, "presharedKey": { "type": "string", "example": "example string" }, "remoteAddressV4": { "type": "string", "example": "example string" }, "remoteAddressV6": { "type": "string", "example": "example string" }, "remoteIkePeerIdentity": { "type": "string", "example": "example string" }, "routing": { "$ref": "#/components/schemas/manaV2IpsecRoutingConfig" }, "tcpMss": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "vpnProfile": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SlaConformance": { "type": "object", "properties": { "dampeningFactor": { "type": "integer", "format": "int64", "example": 1234567891011 }, "duration": { "type": "integer", "format": "int64", "example": 1234567891011 }, "interval": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2SnmpConfig": { "type": "object", "properties": { "communities": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableSnmpCommunityConfigValue" } }, "engineAuthenTraps": { "type": "boolean", "example": true }, "engineEnabled": { "type": "boolean", "example": true }, "engineEndpoints": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableSnmpEngineEndpointConfigValue" } }, "engineHighCpuTraps": { "type": "boolean", "example": true }, "engineHighMemoryTraps": { "type": "boolean", "example": true }, "engineIdAdminOctets": { "type": "string", "example": "example string" }, "engineIdAdminText": { "type": "string", "example": "example string" }, "engineIdIpv4": { "type": "string", "example": "example string" }, "engineIdIpv6": { "type": "string", "example": "example string" }, "engineIdMac": { "type": "string", "example": "example string" }, "engineIdRaw": { "type": "string", "example": "example string" }, "engineLocalAcessV4": { "type": "boolean", "example": true }, "engineLocalAcessV6": { "type": "boolean", "example": true }, "engineUserHints": { "type": "boolean", "example": true }, "engineUserValidation": { "type": "boolean", "example": true }, "globalId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "isGlobalSync": { "type": "boolean", "example": true }, "name": { "type": "string", "example": "example string" }, "notifyFilterProfiles": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableSnmpNotifyFilterProfileConfigValue" } }, "snmpVersion": { "type": "string", "example": "ENUM_VALUE" }, "targets": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableSnmpTargetConfigValue" } }, "usmLocalUsers": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableUsmLocalUserConfigValue" } }, "usmRemoteUsers": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableUsmRemoteUserConfigValue" } }, "v2cEnabled": { "type": "boolean", "example": true }, "v3Enabled": { "type": "boolean", "example": true }, "vacmGroups": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableVacmGroupValue" } }, "vacmViews": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableSnmpVacmViewValue" } } }, "additionalProperties": false }, "manaV2BgpAggregationsConfig": { "type": "object", "properties": { "asSet": { "type": "boolean", "example": true }, "prefix": { "type": "string", "example": "example string" }, "summaryOnly": { "type": "boolean", "example": true } }, "additionalProperties": false }, "manaV2BgpNeighborConfig": { "type": "object", "properties": { "addressFamilies": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableBgpNeighborAddressFamilyConfig" } }, "allowAsIn": { "$ref": "#/components/schemas/manaV2NullableAllowAsIn" }, "asOverride": { "type": "boolean", "example": true }, "bfd": { "$ref": "#/components/schemas/manaV2NullableBfdInstanceConfig" }, "defaultOriginate": { "type": "string", "example": "ENUM_VALUE" }, "ebgpMultihopTtl": { "$ref": "#/components/schemas/manaV2NullableEbgpConfig" }, "enabled": { "type": "boolean", "example": true }, "holdTimer": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "holdTimerValue": { "$ref": "#/components/schemas/manaV2NullableHoldTimer" }, "keepaliveTimer": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "keepaliveTimerValue": { "$ref": "#/components/schemas/manaV2NullableKeepAliveTimer" }, "localAddress": { "type": "string", "example": "example string" }, "localInterface": { "$ref": "#/components/schemas/manaV2NullableInterfaceName" }, "maxPrefixValue": { "$ref": "#/components/schemas/manaV2NullableMaxPrefix" }, "md5Password": { "$ref": "#/components/schemas/manaV2NullableMd5Password" }, "peerAsn": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "remoteAddress": { "type": "string", "example": "example string" }, "removePrivateAs": { "type": "boolean", "example": true }, "sendCommunity": { "type": "boolean", "example": true } }, "additionalProperties": false }, "manaV2BgpRedistributeProtocolConfig": { "type": "object", "properties": { "enabled": { "type": "boolean", "example": true } }, "additionalProperties": false }, "manaV2DhcpSubnetConfig": { "type": "object", "properties": { "defaultLeaseTimeSecs": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "description": { "type": "string", "example": "example string" }, "domainName": { "type": "string", "example": "example string" }, "domainNameServer": { "$ref": "#/components/schemas/manaV2DhcpServerDnsParametersConfig" }, "interface": { "type": "string", "example": "example string" }, "ipGateway": { "type": "string", "example": "example string" }, "ipPrefix": { "type": "string", "example": "example string" }, "ipRanges": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2DhcpipRangeConfig" } }, "ipRangesV2": { "$ref": "#/components/schemas/manaV2NullableDhcpipRangeList" }, "maxLeaseTimeSecs": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "minLeaseTimeSecs": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "name": { "type": "string", "example": "example string" }, "staticLeases": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableDhcpSubnetStaticLeaseConfig" } } }, "additionalProperties": false }, "manaV2BgpMultipathConfig": { "type": "object", "properties": { "enabled": { "type": "boolean", "example": true }, "vrfId": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2OspfProcessConfig": { "type": "object", "properties": { "addressFamilies": { "type": "array", "items": { "type": "string", "example": "ENUM_VALUE" } }, "adminDistance": { "$ref": "#/components/schemas/manaV2NullableOspfAdminDistanceValue" }, "areas": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableOspfAreaConfig" } }, "auto": { "type": "boolean", "example": true }, "defaultOriginate": { "type": "string", "example": "ENUM_VALUE" }, "manual": { "type": "string", "example": "example string" }, "name": { "type": "string", "example": "example string" }, "redistribution": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableOspfRedistributeProtocolConfig" } } }, "additionalProperties": false }, "manaV2NullablePolicyName": { "type": "object", "properties": { "policy": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2StaticRouteConfig": { "type": "object", "properties": { "adminDistance": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "administrativeDistance": { "$ref": "#/components/schemas/manaV2NullableAdministrativeDistance" }, "description": { "type": "string", "example": "example string" }, "destinationPrefix": { "type": "string", "example": "example string" }, "ipVersion": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "nextHop": { "$ref": "#/components/schemas/manaV2StaticRouteNexthopConfig" }, "nextHops": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2StaticRouteNexthopConfig" } } }, "additionalProperties": false }, "manaV2SyslogCollectorConfig": { "type": "object", "properties": { "enabled": { "type": "boolean", "example": true }, "globalId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "host": { "type": "string", "example": "example string" }, "interfaceName": { "type": "string", "example": "example string" }, "isGlobalSync": { "type": "boolean", "example": true }, "name": { "type": "string", "example": "example string" }, "port": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "severity": { "type": "string", "example": "ENUM_VALUE" }, "transport": { "type": "string", "example": "ENUM_VALUE" }, "vrfId": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2InterfaceCoreToCorePeerConfig": { "type": "object", "properties": { "Cost": { "$ref": "#/components/schemas/manaV2CoreLinkCost" }, "ospfCost": { "$ref": "#/components/schemas/manaV2CoreLinkCost" }, "peerHostname": { "type": "string", "example": "example string" }, "type": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2InterfaceWanManagementConfig": { "type": "object", "properties": {}, "additionalProperties": false }, "manaV2InterfaceDefaultConfig": { "type": "object", "properties": {}, "additionalProperties": false }, "manaV2LatencyBandwidth": { "type": "object", "properties": { "bandwidth": { "type": "integer", "format": "int32", "example": 123 }, "latency": { "type": "integer", "format": "int32", "example": 123 } }, "additionalProperties": false }, "manaV2InterfaceCoreFlexAlgoConfig": { "type": "object", "properties": { "flexAlgoNames": { "type": "array", "items": { "type": "string", "example": "example string" } } }, "additionalProperties": false }, "manaV2InterfaceCoreToGatewayPeerConfig": { "type": "object", "properties": { "type": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2NullableInterfaceIpConfig": { "type": "object", "properties": { "gw": { "$ref": "#/components/schemas/manaV2InterfaceIpConfig" } }, "additionalProperties": false }, "manaV2interface_config_type": { "type": "object", "properties": { "coreNeighbor": { "$ref": "#/components/schemas/manaV2InterfaceCoreToCorePeerConfig" }, "coreToCoreTunnel": { "$ref": "#/components/schemas/manaV2InterfaceWanManagementConfig" }, "default": { "$ref": "#/components/schemas/manaV2InterfaceDefaultConfig" }, "gatewayNeighbor": { "$ref": "#/components/schemas/manaV2InterfaceCoreToGatewayPeerConfig" }, "wan": { "$ref": "#/components/schemas/manaV2InterfaceWanConfig" }, "wanManagement": { "$ref": "#/components/schemas/manaV2InterfaceWanManagementConfig" } }, "additionalProperties": false }, "manaV2InterfaceIPsecConfig": { "type": "object", "properties": { "antiReplayWindowSize": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "dhGroup": { "type": "string", "example": "ENUM_VALUE" }, "dpdInterval": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "encryptionAlg": { "type": "string", "example": "ENUM_VALUE" }, "esn": { "type": "boolean", "example": true }, "ikeIntegrity": { "type": "string", "example": "ENUM_VALUE" }, "initiator": { "type": "boolean", "example": true }, "ipsecEncryptionAlg": { "type": "string", "example": "ENUM_VALUE" }, "ipsecIntegrity": { "type": "string", "example": "ENUM_VALUE" }, "label": { "type": "string", "example": "ENUM_VALUE" }, "localAddress": { "type": "string", "example": "example string" }, "localCircuit": { "type": "string", "example": "example string" }, "localIkePeerIdentity": { "type": "string", "example": "example string" }, "perfectForwardSecrecy": { "type": "string", "example": "ENUM_VALUE" }, "presharedKey": { "type": "string", "example": "example string" }, "reauthInterval": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "rekeyInterval": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "remoteAddress": { "type": "string", "example": "example string" }, "remoteIkePeerIdentity": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2InterfaceIpConfig": { "type": "object", "properties": { "address": { "$ref": "#/components/schemas/manaV2NullableAddress" }, "dhcp": { "$ref": "#/components/schemas/manaV2InterfaceDhcpConfig" }, "gw": { "$ref": "#/components/schemas/manaV2NullableGatewayConfig" }, "vrrp": { "$ref": "#/components/schemas/manaV2NullableVrrpGroupConfig" } }, "additionalProperties": false }, "manaV2CoreLinkCost": { "type": "object", "properties": { "dynamic": { "$ref": "#/components/schemas/manaV2LatencyBandwidth" }, "static": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullableOspfInterfaceConfig": { "type": "object", "properties": { "interface": { "$ref": "#/components/schemas/manaV2OspfInterfaceConfig" } }, "additionalProperties": false }, "manaV2NullableCoreInterfaceVlanConfig": { "type": "object", "properties": { "interface": { "$ref": "#/components/schemas/manaV2CoreVlanInterfaceConfig" } }, "additionalProperties": false }, "manaV2InterfaceWanConfig": { "type": "object", "properties": { "gw": { "$ref": "#/components/schemas/manaV2NullableInterfaceIpConfig" }, "type": { "type": "string", "example": "ENUM_VALUE" }, "vrfName": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2PrefixSetConfigNullableEntry": { "type": "object", "properties": { "entry": { "$ref": "#/components/schemas/manaV2PrefixSetConfigNullableEntryEntry" } }, "additionalProperties": false }, "manaV2PrometheusRuleGroupConfig": { "type": "object", "properties": { "description": { "type": "string", "example": "example string" }, "intervalSeconds": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "name": { "type": "string", "example": "example string" }, "rules": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullablePrometheusRuleConfig" } } }, "additionalProperties": false }, "manaV2PrometheusRemoteWriteSinkConfig": { "type": "object", "properties": { "description": { "type": "string", "example": "example string" }, "host": { "type": "string", "example": "example string" }, "path": { "type": "string", "example": "example string" }, "port": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2PrometheusSysDbMonitorConfig": { "type": "object", "properties": { "intervalSeconds": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "name": { "type": "string", "example": "example string" }, "xpaths": { "type": "array", "items": { "type": "string", "example": "example string" } } }, "additionalProperties": false }, "manaV2RoutingPolicyConfigNullableStatement": { "type": "object", "properties": { "statement": { "$ref": "#/components/schemas/manaV2RoutingPolicyConfigNullableStatementStatement" } }, "additionalProperties": false }, "manaV2NullableSiteInterfaceName": { "type": "object", "properties": { "interface": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2DpiApplicationConfig": { "type": "object", "properties": { "description": { "type": "string", "example": "example string" }, "destinationNetwork": { "type": "string", "example": "example string" }, "destinationNetworkList": { "type": "string", "example": "example string" }, "destinationNetworks": { "$ref": "#/components/schemas/manaV2IpNetworkListConfig" }, "destinationPort": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "destinationPortList": { "type": "string", "example": "example string" }, "destinationPorts": { "$ref": "#/components/schemas/manaV2L4PortListConfig" }, "icmpType": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "ipProtocol": { "type": "string", "example": "ENUM_VALUE" }, "name": { "type": "string", "example": "example string" }, "sourceNetwork": { "type": "string", "example": "example string" }, "sourceNetworkList": { "type": "string", "example": "example string" }, "sourceNetworks": { "$ref": "#/components/schemas/manaV2IpNetworkListConfig" }, "sourcePort": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "sourcePortList": { "type": "string", "example": "example string" }, "sourcePorts": { "$ref": "#/components/schemas/manaV2L4PortListConfig" } }, "additionalProperties": false }, "manaV2IpNetworkListConfig": { "type": "object", "properties": { "name": { "type": "string", "example": "example string" }, "networks": { "type": "array", "items": { "type": "string", "example": "example string" } } }, "additionalProperties": false }, "manaV2L4PortListConfig": { "type": "object", "properties": { "name": { "type": "string", "example": "example string" }, "ports": { "type": "array", "items": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } } }, "additionalProperties": false }, "manaV2SecurityPolicyRulesetConfig": { "type": "object", "properties": { "description": { "type": "string", "example": "example string" }, "globalId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "isGlobalSync": { "type": "boolean", "example": true }, "name": { "type": "string", "example": "example string" }, "rules": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2SecurityPolicyRulesetConfigNullableRule" } } }, "additionalProperties": false }, "manaV2TrafficPolicyRulesetConfig": { "type": "object", "properties": { "description": { "type": "string", "example": "example string" }, "globalId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "isGlobalSync": { "type": "boolean", "example": true }, "name": { "type": "string", "example": "example string" }, "rules": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2TrafficPolicyRulesetConfigNullableRule" } } }, "additionalProperties": false }, "manaV2ZoneFirewallConfig": { "type": "object", "properties": { "ip": { "$ref": "#/components/schemas/manaV2ZoneFirewallIpPolicyConfig" }, "udp": { "$ref": "#/components/schemas/manaV2ZoneFirewallUdpPolicyConfig" } }, "additionalProperties": false }, "manaV2SecurityZoneConfig": { "type": "object", "properties": { "inside": { "type": "string", "example": "example string" }, "pairs": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableSecurityZonePairConfig" } } }, "additionalProperties": false }, "manaV2DNSConfigCloudflare": { "type": "object", "properties": {}, "additionalProperties": false }, "manaV2DNSConfigDynamic": { "type": "object", "properties": { "circuitName": { "type": "string", "example": "example string" }, "interfaceName": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2DNSConfigStatic": { "type": "object", "properties": { "primaryIpv4V2": { "$ref": "#/components/schemas/manaV2NullableIPv4Address" }, "primaryIpv6V2": { "$ref": "#/components/schemas/manaV2NullableIPv6Address" }, "secondaryIpv4V2": { "$ref": "#/components/schemas/manaV2NullableIPv4Address" }, "secondaryIpv6V2": { "$ref": "#/components/schemas/manaV2NullableIPv6Address" } }, "additionalProperties": false }, "manaV2NullableMaCsecConfiguration": { "type": "object", "properties": { "macsec": { "$ref": "#/components/schemas/manaV2MaCsecConfiguration" } }, "additionalProperties": false }, "manaV2NullablePpPoEInterfaceConfig": { "type": "object", "properties": { "interface": { "$ref": "#/components/schemas/manaV2PpPoEInterfaceConfig" } }, "additionalProperties": false }, "manaV2NullableInterfaceVlanConfig": { "type": "object", "properties": { "interface": { "$ref": "#/components/schemas/manaV2InterfaceVlanConfig" } }, "additionalProperties": false }, "manaV2NullableTcpMssV4": { "type": "object", "properties": { "tcpMssV4": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullableTcpMssV6": { "type": "object", "properties": { "tcpMssV6": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2LacpConfig": { "type": "object", "properties": { "mode": { "type": "string", "example": "ENUM_VALUE" }, "timer": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2NullableLagMemberInterface": { "type": "object", "properties": { "interface": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2NullableInterfaceLagvlanConfig": { "type": "object", "properties": { "interface": { "$ref": "#/components/schemas/manaV2InterfaceLagvlanConfig" } }, "additionalProperties": false }, "manaV2NatPolicyRulesetConfig": { "type": "object", "properties": { "description": { "type": "string", "example": "example string" }, "name": { "type": "string", "example": "example string" }, "rules": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NATPolicyRulesetConfigNullableRule" } } }, "additionalProperties": false }, "manaV2IpsecRoutingConfig": { "type": "object", "properties": { "bgp": { "$ref": "#/components/schemas/manaV2IPsecBgpRouteConfig" }, "static": { "$ref": "#/components/schemas/manaV2IPsecStaticRouteConfig" } }, "additionalProperties": false }, "manaV2NullableSnmpCommunityConfigValue": { "type": "object", "properties": { "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2NullableSnmpEngineEndpointConfigValue": { "type": "object", "properties": { "engineEndpoint": { "$ref": "#/components/schemas/manaV2SnmpEngineEndpointConfig" } }, "additionalProperties": false }, "manaV2NullableSnmpNotifyFilterProfileConfigValue": { "type": "object", "properties": { "notifyFilterProfile": { "$ref": "#/components/schemas/manaV2SnmpNotifyFilterProfileConfig" } }, "additionalProperties": false }, "manaV2NullableSnmpTargetConfigValue": { "type": "object", "properties": { "target": { "$ref": "#/components/schemas/manaV2SnmpTargetConfig" } }, "additionalProperties": false }, "manaV2NullableUsmLocalUserConfigValue": { "type": "object", "properties": { "localUser": { "$ref": "#/components/schemas/manaV2SnmpUsmLocalUserConfig" } }, "additionalProperties": false }, "manaV2NullableUsmRemoteUserConfigValue": { "type": "object", "properties": { "remoteUser": { "$ref": "#/components/schemas/manaV2SnmpUsmRemoteUserConfig" } }, "additionalProperties": false }, "manaV2NullableVacmGroupValue": { "type": "object", "properties": { "group": { "$ref": "#/components/schemas/manaV2VacmGroupConfig" } }, "additionalProperties": false }, "manaV2NullableSnmpVacmViewValue": { "type": "object", "properties": { "view": { "$ref": "#/components/schemas/manaV2SnmpVacmViewConfig" } }, "additionalProperties": false }, "manaV2NullableBgpNeighborAddressFamilyConfig": { "type": "object", "properties": { "family": { "$ref": "#/components/schemas/manaV2BgpNeighborAddressFamilyConfig" } }, "additionalProperties": false }, "manaV2NullableAllowAsIn": { "type": "object", "properties": { "count": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullableBfdInstanceConfig": { "type": "object", "properties": { "bfd": { "$ref": "#/components/schemas/manaV2BfdInstanceConfig" } }, "additionalProperties": false }, "manaV2NullableEbgpConfig": { "type": "object", "properties": { "multiHop": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullableHoldTimer": { "type": "object", "properties": { "timer": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullableKeepAliveTimer": { "type": "object", "properties": { "timer": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullableInterfaceName": { "type": "object", "properties": { "interface": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2NullableMaxPrefix": { "type": "object", "properties": { "maxPrefix": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullableMd5Password": { "type": "object", "properties": { "md5Password": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2DhcpServerDnsParametersConfig": { "type": "object", "properties": { "primary": { "type": "string", "example": "example string" }, "secondary": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2DhcpipRangeConfig": { "type": "object", "properties": { "end": { "type": "string", "example": "example string" }, "start": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2NullableDhcpipRangeList": { "type": "object", "properties": { "ipRange": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2DhcpipRangeConfig" } } }, "additionalProperties": false }, "manaV2NullableDhcpSubnetStaticLeaseConfig": { "type": "object", "properties": { "lease": { "$ref": "#/components/schemas/manaV2DhcpSubnetStaticLeaseConfig" } }, "additionalProperties": false }, "manaV2NullableOspfAdminDistanceValue": { "type": "object", "properties": { "adminDistance": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullableOspfAreaConfig": { "type": "object", "properties": { "area": { "$ref": "#/components/schemas/manaV2OspfAreaConfig" } }, "additionalProperties": false }, "manaV2NullableOspfRedistributeProtocolConfig": { "type": "object", "properties": { "protocol": { "$ref": "#/components/schemas/manaV2OspfRedistributeProtocolConfig" } }, "additionalProperties": false }, "manaV2NullableAdministrativeDistance": { "type": "object", "properties": { "distance": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2StaticRouteNexthopConfig": { "type": "object", "properties": { "address": { "type": "string", "example": "example string" }, "circuit": { "type": "string", "example": "example string" }, "interface": { "type": "string", "example": "example string" }, "nextHopAddress": { "type": "string", "example": "example string" }, "thirdPartyIpsecTunnel": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2NullableAddress": { "type": "object", "properties": { "address": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2InterfaceDhcpConfig": { "type": "object", "properties": { "dhcpClient": { "type": "boolean", "example": true }, "dhcpRelay": { "$ref": "#/components/schemas/manaV2DhcpRelayConfig" } }, "additionalProperties": false }, "manaV2NullableGatewayConfig": { "type": "object", "properties": { "address": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2NullableVrrpGroupConfig": { "type": "object", "properties": { "group": { "$ref": "#/components/schemas/manaV2VrrpGroupConfig" } }, "additionalProperties": false }, "manaV2OspfInterfaceConfig": { "type": "object", "properties": { "authentication": { "$ref": "#/components/schemas/manaV2NullableOspfAuthenticationConfig" }, "bfd": { "$ref": "#/components/schemas/manaV2NullableBfdInstanceConfig" }, "cost": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "deadIntervalValue": { "$ref": "#/components/schemas/manaV2NullableOspfDeadIntervalValue" }, "drPriority": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "helloIntervalValue": { "$ref": "#/components/schemas/manaV2NullableOspfHelloIntervalValue" }, "interfaceName": { "type": "string", "example": "example string" }, "mtu": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "mtuIgnore": { "type": "boolean", "example": true }, "prefixSid": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "retransmitIntervalValue": { "$ref": "#/components/schemas/manaV2NullableOspfRetransmitIntervalValue" }, "type": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2CoreVlanInterfaceConfig": { "type": "object", "properties": { "coreNeighbor": { "$ref": "#/components/schemas/manaV2InterfaceCoreToCorePeerConfig" }, "default": { "$ref": "#/components/schemas/manaV2InterfaceDefaultConfig" }, "gatewayNeighbor": { "$ref": "#/components/schemas/manaV2InterfaceCoreToGatewayPeerConfig" }, "interface": { "$ref": "#/components/schemas/manaV2CoreInterfaceConfig" }, "interfaceType": { "$ref": "#/components/schemas/manaV2interface_config_type" }, "vlanId": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "wan": { "$ref": "#/components/schemas/manaV2InterfaceWanConfig" } }, "additionalProperties": false }, "manaV2PrefixSetConfigNullableEntryEntry": { "type": "object", "properties": { "ipPrefix": { "type": "string", "example": "example string" }, "maskLower": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "maskUpper": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "seq": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullablePrometheusRuleConfig": { "type": "object", "properties": { "ruleGroup": { "$ref": "#/components/schemas/manaV2PrometheusRuleConfig" } }, "additionalProperties": false }, "manaV2RoutingPolicyConfigNullableStatementStatement": { "type": "object", "properties": { "actions": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2RoutingPolicyConfigNullableStatementStatementNullableAction" } }, "matches": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2RoutingPolicyConfigNullableStatementStatementNullableMatch" } }, "seq": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2SecurityPolicyRulesetConfigNullableRule": { "type": "object", "properties": { "rule": { "$ref": "#/components/schemas/manaV2SecurityPolicyRulesetConfigNullableRuleRule" } }, "additionalProperties": false }, "manaV2TrafficPolicyRulesetConfigNullableRule": { "type": "object", "properties": { "rule": { "$ref": "#/components/schemas/manaV2TrafficPolicyRulesetConfigNullableRuleRule" } }, "additionalProperties": false }, "manaV2ZoneFirewallIpPolicyConfig": { "type": "object", "properties": { "blockLandAttacks": { "type": "boolean", "example": true }, "sessionLimit": { "$ref": "#/components/schemas/manaV2NullableSessionLimit" }, "urpf": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2ZoneFirewallUdpPolicyConfig": { "type": "object", "properties": { "unidirectionalFlowLimit": { "$ref": "#/components/schemas/manaV2NullableSessionLimit" } }, "additionalProperties": false }, "manaV2NullableSecurityZonePairConfig": { "type": "object", "properties": { "pair": { "$ref": "#/components/schemas/manaV2SecurityZonePairConfig" } }, "additionalProperties": false }, "manaV2NullableIPv4Address": { "type": "object", "properties": { "address": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2NullableIPv6Address": { "type": "object", "properties": { "address": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2MaCsecConfiguration": { "type": "object", "properties": { "enabled": { "type": "boolean", "example": true, "description": "Whether MACsec is enabled or disabled (required)" }, "encryptionEnforcementMode": { "type": "string", "example": "MACSEC_ENFORCEMENT_MODE_SHOULD_ENCRYPT", "description": "The encryption enforcement mode (required)" }, "globalSakConfiguration": { "$ref": "#/components/schemas/manaV2NullableSakConfiguration" }, "keyServerPriority": { "type": "integer", "format": "int64", "example": 255, "description": "The priority of the key server. Lower number means higher priority." }, "pskConfigurations": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2PskConfiguration" } }, "pskConfigurationsByNickname": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullablePskConfiguration" } }, "sakConfigurations": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SakConfiguration" } }, "sakConfigurationsByLagMemberInterfaceId": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableSakConfiguration" } }, "splitSakConfigByLagMember": { "type": "boolean", "example": true, "description": "Whether to allow individual SAK configurations for each lag member" }, "transparentVlan": { "type": "boolean", "example": true, "description": "Whether transparent VLAN is enabled or disabled" } }, "additionalProperties": false, "required": [ "enabled", "encryptionEnforcementMode", "globalSakConfiguration", "pskConfigurationsByNickname", "sakConfigurationsByLagMemberInterfaceId" ] }, "manaV2PpPoEInterfaceConfig": { "type": "object", "properties": { "adminStatus": { "type": "boolean", "example": true }, "alias": { "type": "string", "example": "example string" }, "authenticationType": { "type": "string", "example": "ENUM_VALUE" }, "circuit": { "type": "string", "example": "example string" }, "description": { "type": "string", "example": "example string" }, "lcpEchoFailure": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "lcpEchoInterval": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "maxTransmissionUnit": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "password": { "type": "string", "example": "example string" }, "pppConnectTimeout": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "username": { "type": "string", "example": "example string" }, "v4TcpMss": { "$ref": "#/components/schemas/manaV2NullableTcpMssV4" }, "v6TcpMss": { "$ref": "#/components/schemas/manaV2NullableTcpMssV6" } }, "additionalProperties": false }, "manaV2InterfaceVlanConfig": { "type": "object", "properties": { "adminStatus": { "type": "boolean", "example": true }, "alias": { "type": "string", "example": "example string" }, "circuit": { "type": "string", "example": "example string" }, "description": { "type": "string", "example": "example string" }, "ipv4": { "$ref": "#/components/schemas/manaV2InterfaceIpConfig" }, "ipv6": { "$ref": "#/components/schemas/manaV2InterfaceIpConfig" }, "lan": { "type": "string", "example": "example string" }, "lldpEnabled": { "type": "boolean", "example": true }, "maxTransmissionUnit": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "pppoeInterfaces": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullablePpPoEInterfaceConfig" } }, "securityZone": { "type": "string", "example": "example string" }, "tcpMss": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "tcpMssV4": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "tcpMssV6": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "v4TcpMss": { "$ref": "#/components/schemas/manaV2NullableTcpMssV4" }, "v6TcpMss": { "$ref": "#/components/schemas/manaV2NullableTcpMssV6" }, "vlan": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "vrrp": { "$ref": "#/components/schemas/manaV2NullableVrrpGroupConfig" } }, "additionalProperties": false }, "manaV2InterfaceLagvlanConfig": { "type": "object", "properties": { "adminStatus": { "type": "boolean", "example": true }, "alias": { "type": "string", "example": "example string" }, "description": { "type": "string", "example": "example string" }, "ipv4": { "$ref": "#/components/schemas/manaV2InterfaceIpConfig" }, "ipv6": { "$ref": "#/components/schemas/manaV2InterfaceIpConfig" }, "segment": { "type": "string", "example": "example string" }, "vlan": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NATPolicyRulesetConfigNullableRule": { "type": "object", "properties": { "rule": { "$ref": "#/components/schemas/manaV2NATPolicyRulesetConfigNullableRuleRule" } }, "additionalProperties": false }, "manaV2IPsecBgpRouteConfig": { "type": "object", "properties": { "addressFamilies": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableBgpNeighborAddressFamilyConfig" } }, "holdTimer": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "keepaliveTimer": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "md5Password": { "$ref": "#/components/schemas/manaV2NullableMd5Password" }, "peerAsn": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "sendCommunity": { "type": "boolean", "example": true } }, "additionalProperties": false }, "manaV2IPsecStaticRouteConfig": { "type": "object", "properties": { "destinationPrefix": { "type": "array", "items": { "type": "string", "example": "example string" } } }, "additionalProperties": false }, "manaV2SnmpEngineEndpointConfig": { "type": "object", "properties": { "addresses": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableSnmpEngineEndpointsAddress" } }, "autoIpv4": { "type": "boolean", "example": true }, "autoIpv6": { "type": "boolean", "example": true }, "interface": { "type": "string", "example": "example string" }, "lanSegment": { "type": "string", "example": "example string" }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SnmpNotifyFilterProfileConfig": { "type": "object", "properties": { "includeExcludeList": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NotifyFilterProfileIncludeConfig" } }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SnmpTargetConfig": { "type": "object", "properties": { "community": { "type": "string", "example": "example string" }, "lanSegment": { "type": "string", "example": "example string" }, "name": { "type": "string", "example": "example string" }, "notifyFilterProfile": { "type": "string", "example": "example string" }, "notifyType": { "type": "string", "example": "ENUM_VALUE" }, "sourceIp": { "type": "string", "example": "example string" }, "targetIp": { "type": "string", "example": "example string" }, "targetType": { "type": "string", "example": "ENUM_VALUE" }, "usmSecurityLevel": { "type": "string", "example": "ENUM_VALUE" }, "usmUserName": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SnmpUsmLocalUserConfig": { "type": "object", "properties": { "authPassphrase": { "type": "string", "example": "example string" }, "authProtocol": { "type": "string", "example": "ENUM_VALUE" }, "encryptionPassphrase": { "type": "string", "example": "example string" }, "encryptionProtocol": { "type": "string", "example": "ENUM_VALUE" }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SnmpUsmRemoteUserConfig": { "type": "object", "properties": { "authLocKey": { "type": "string", "example": "example string" }, "authProtocol": { "type": "string", "example": "ENUM_VALUE" }, "encryptionLocKey": { "type": "string", "example": "example string" }, "encryptionProtocol": { "type": "string", "example": "ENUM_VALUE" }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2VacmGroupConfig": { "type": "object", "properties": { "accesses": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableSnmpVacmGroupAccessValue" } }, "members": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableSnmpVacmGroupMemberValue" } }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SnmpVacmViewConfig": { "type": "object", "properties": { "includeExcludeList": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2SnmpVacmViewIncludeConfig" } }, "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2BgpNeighborAddressFamilyConfig": { "type": "object", "properties": { "addressFamily": { "type": "string", "example": "ENUM_VALUE" }, "inboundPolicy": { "$ref": "#/components/schemas/manaV2NullablePolicyName" }, "outboundPolicy": { "$ref": "#/components/schemas/manaV2NullablePolicyName" } }, "additionalProperties": false }, "manaV2BfdInstanceConfig": { "type": "object", "properties": { "enabled": { "type": "boolean", "example": true }, "localMultiplier": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "minimumInterval": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2DhcpSubnetStaticLeaseConfig": { "type": "object", "properties": { "hostname": { "type": "string", "example": "example string" }, "ipAddress": { "type": "string", "example": "example string" }, "macAddress": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2OspfAreaConfig": { "type": "object", "properties": { "areaId": { "type": "string", "example": "example string" }, "interfaces": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2NullableOspfInterfaceConfig" } }, "name": { "type": "string", "example": "example string" }, "type": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2OspfRedistributeProtocolConfig": { "type": "object", "properties": { "metric": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "metricType": { "type": "string", "example": "ENUM_VALUE" }, "type": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2DhcpRelayConfig": { "type": "object", "properties": { "relayServers": { "type": "array", "items": { "type": "string", "example": "example string" } } }, "additionalProperties": false }, "manaV2VrrpGroupConfig": { "type": "object", "properties": { "acceptMode": { "type": "boolean", "example": true }, "allowInterOperability": { "type": "boolean", "example": true }, "description": { "type": "string", "example": "example string" }, "enabled": { "type": "boolean", "example": true }, "preempt": { "type": "boolean", "example": true }, "priority": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "trackedInterfaces": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2NullableInterfacePriorityDecrement" } }, "virtualIp": { "type": "string", "example": "example string" }, "virtualRouterId": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullableOspfAuthenticationConfig": { "type": "object", "properties": { "authentication": { "$ref": "#/components/schemas/manaV2OspfAuthenticationConfig" } }, "additionalProperties": false }, "manaV2NullableOspfDeadIntervalValue": { "type": "object", "properties": { "deadInterval": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullableOspfHelloIntervalValue": { "type": "object", "properties": { "helloInterval": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullableOspfRetransmitIntervalValue": { "type": "object", "properties": { "retransmitInterval": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2CoreInterfaceConfig": { "type": "object", "properties": { "adminStatus": { "type": "boolean", "example": true }, "alias": { "type": "string", "example": "example string" }, "description": { "type": "string", "example": "example string" }, "duplex": { "type": "string", "example": "example string" }, "ipv4": { "$ref": "#/components/schemas/manaV2InterfaceIpConfig" }, "ipv6": { "$ref": "#/components/schemas/manaV2InterfaceIpConfig" }, "maxTransmissionUnit": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "mplsEnabled": { "type": "boolean", "example": true }, "tcpMssV4": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "tcpMssV6": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "xTalkFilter": { "type": "boolean", "example": true } }, "additionalProperties": false }, "manaV2PrometheusRuleConfig": { "type": "object", "properties": { "alert": { "type": "boolean", "example": true }, "expression": { "type": "string", "example": "example string" }, "name": { "type": "string", "example": "example string" }, "severity": { "type": "string", "example": "example string" }, "template": { "type": "string", "example": "example string" }, "triggerSeconds": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2RoutingPolicyConfigNullableStatementStatementNullableAction": { "type": "object", "properties": { "action": { "$ref": "#/components/schemas/manaV2RoutingPolicyConfigNullableStatementStatementNullableActionAction" } }, "additionalProperties": false }, "manaV2RoutingPolicyConfigNullableStatementStatementNullableMatch": { "type": "object", "properties": { "match": { "$ref": "#/components/schemas/manaV2RoutingPolicyConfigNullableStatementStatementNullableMatchMatch" } }, "additionalProperties": false }, "manaV2SecurityPolicyRulesetConfigNullableRuleRule": { "type": "object", "properties": { "action": { "type": "string", "example": "ENUM_VALUE" }, "description": { "type": "string", "example": "example string" }, "downlinkBurstRate": { "$ref": "#/components/schemas/manaV2NullableMeterRates" }, "downlinkPolicerRate": { "$ref": "#/components/schemas/manaV2NullableMeterRates" }, "logging": { "type": "boolean", "example": true }, "match": { "$ref": "#/components/schemas/manaV2ForwardingPolicyMatchConfig" }, "name": { "type": "string", "example": "example string" }, "seq": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "uplinkBurstRate": { "$ref": "#/components/schemas/manaV2NullableMeterRates" }, "uplinkPolicerRate": { "$ref": "#/components/schemas/manaV2NullableMeterRates" } }, "additionalProperties": false }, "manaV2TrafficPolicyRulesetConfigNullableRuleRule": { "type": "object", "properties": { "action": { "$ref": "#/components/schemas/manaV2TrafficPolicyRulesetConfigNullableRuleRuleAction" }, "description": { "type": "string", "example": "example string" }, "match": { "$ref": "#/components/schemas/manaV2ForwardingPolicyMatchConfig" }, "name": { "type": "string", "example": "example string" }, "seq": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullableSessionLimit": { "type": "object", "properties": { "limit": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2SecurityZonePairConfig": { "type": "object", "properties": { "outside": { "type": "string", "example": "example string" }, "ruleset": { "type": "string", "example": "example string" }, "tcpProtection": { "type": "boolean", "example": true } }, "additionalProperties": false }, "manaV2NullableSakConfiguration": { "type": "object", "properties": { "sak": { "$ref": "#/components/schemas/manaV2SakConfiguration" } }, "additionalProperties": false }, "manaV2PskConfiguration": { "type": "object", "properties": { "cak": { "type": "string", "example": "1234567890abcdef1234567890abcdef", "description": "The Connection Authentication Key (CAK)" }, "cakCryptographicAlgorithm": { "type": "string", "example": "AES_128_CMAC", "description": "The cryptographic algorithm for the CAK, SAK Cipher Suite is implicitly selected based on this field. (required)" }, "ckn": { "type": "string", "example": "Corp-MACsec-CKN", "description": "The Connection Key Name (CKN) (required)" }, "nickname": { "type": "string", "example": "PSK1", "description": "The nickname of the PSK (required)" }, "startTime": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "useXpnForCipherSuite": { "type": "boolean", "example": true, "description": "Whether to use XPN for the cipher suite. If true, AES_128_GCM_XPN or AES_256_GCM_XPN is selected based on the cmac algorithm. If false, AES_128_GCM or AES_256_GCM is selected based on the cmac algorithm." } }, "additionalProperties": false }, "manaV2NullablePskConfiguration": { "type": "object", "properties": { "psk": { "$ref": "#/components/schemas/manaV2PskConfiguration" } }, "additionalProperties": false }, "manaV2SakConfiguration": { "type": "object", "properties": { "cipherSuite": { "type": "string", "example": "ENUM_VALUE" }, "lagMemberInterfaceId": { "type": "integer", "format": "int64", "example": 1, "description": "The interface ID (required for when each lag member has a different MACsec configuration - when split_sak_config_by_lag_member is true) (required)" }, "nullableRekeyInterval": { "$ref": "#/components/schemas/manaV2NullableMaCsecRekeyInterval" }, "nullableReplayProtectionWindowSize": { "$ref": "#/components/schemas/manaV2NullableMaCsecReplayProtectionWindowSize" }, "rekeyInterval": { "type": "integer", "format": "int64", "example": 1234567891011 }, "replayProtectionWindowSize": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2NATPolicyRulesetConfigNullableRuleRule": { "type": "object", "properties": { "advertisePreNatPrefixes": { "type": "boolean", "example": true }, "description": { "type": "string", "example": "example string" }, "name": { "type": "string", "example": "example string" }, "originalDstIpPrefix": { "type": "string", "example": "example string" }, "originalSrcIpPrefix": { "type": "string", "example": "example string" }, "seq": { "type": "integer", "format": "int64", "example": 1234567891011 }, "translatedDstIpPrefix": { "type": "string", "example": "example string" }, "translatedSrcIpPrefix": { "type": "string", "example": "example string" }, "type": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2NullableSnmpEngineEndpointsAddress": { "type": "object", "properties": { "address": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2NotifyFilterProfileIncludeConfig": { "type": "object", "properties": { "enabled": { "type": "boolean", "example": true } }, "additionalProperties": false }, "manaV2NullableSnmpVacmGroupAccessValue": { "type": "object", "properties": { "access": { "$ref": "#/components/schemas/manaV2SnmpVacmGroupAccessConfig" } }, "additionalProperties": false }, "manaV2NullableSnmpVacmGroupMemberValue": { "type": "object", "properties": { "member": { "$ref": "#/components/schemas/manaV2SnmpVacmGroupMemberConfig" } }, "additionalProperties": false }, "manaV2SnmpVacmViewIncludeConfig": { "type": "object", "properties": { "enabled": { "type": "boolean", "example": true } }, "additionalProperties": false }, "manaV2NullableInterfacePriorityDecrement": { "type": "object", "properties": { "interface": { "type": "string", "example": "example string" }, "priorityDecrement": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2OspfAuthenticationConfig": { "type": "object", "properties": {}, "additionalProperties": false }, "manaV2RoutingPolicyConfigNullableStatementStatementNullableActionAction": { "type": "object", "properties": { "administrativeDistance": { "$ref": "#/components/schemas/manaV2NullableAdministrativeDistance" }, "aspathPrepend": { "$ref": "#/components/schemas/manaV2NullableAsPathPrepend" }, "bgpSetNextHop": { "$ref": "#/components/schemas/manaV2NullableBgpSetNextHop" }, "callPolicy": { "$ref": "#/components/schemas/manaV2NullableCallPolicy" }, "communities": { "$ref": "#/components/schemas/manaV2NullableCommunities" }, "localPref": { "$ref": "#/components/schemas/manaV2NullableLocalPreferance" }, "metric": { "$ref": "#/components/schemas/manaV2NullableMetric" }, "result": { "type": "string", "example": "ENUM_VALUE" }, "seq": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "weight": { "$ref": "#/components/schemas/manaV2NullableWeight" } }, "additionalProperties": false }, "manaV2RoutingPolicyConfigNullableStatementStatementNullableMatchMatch": { "type": "object", "properties": { "community": { "$ref": "#/components/schemas/manaV2NullableCommunity" }, "prefixSet": { "$ref": "#/components/schemas/manaV2NullablePrefixSet" }, "protocolRouteType": { "$ref": "#/components/schemas/manaV2NullableProtocolRouteType" }, "routeTag": { "$ref": "#/components/schemas/manaV2NullableRouteTagSet" }, "seq": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "sourceInterface": { "$ref": "#/components/schemas/manaV2NullableInterfaceName" }, "sourceProtocol": { "$ref": "#/components/schemas/manaV2NullableRoutingProtocol" }, "stale": { "$ref": "#/components/schemas/manaV2NullableStalePurge" } }, "additionalProperties": false }, "manaV2NullableMeterRates": { "type": "object", "properties": { "rate": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2ForwardingPolicyMatchConfig": { "type": "object", "properties": { "application": { "$ref": "#/components/schemas/manaV2NullableApplicationMatchConfig" }, "contentFilter": { "$ref": "#/components/schemas/manaV2NullableContentFilterMatchConfig" }, "destinationNetwork": { "$ref": "#/components/schemas/manaV2NullableDestinationNetworkMatchConfig" }, "destinationPort": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "destinationPortRange": { "$ref": "#/components/schemas/manaV2PortRangeConfig" }, "domainList": { "$ref": "#/components/schemas/manaV2NullableDomainListMatchConfig" }, "dscp": { "$ref": "#/components/schemas/manaV2NullableDscpMatchConfig" }, "icmpType": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "ipProtocol": { "type": "string", "example": "ENUM_VALUE" }, "protocol": { "$ref": "#/components/schemas/manaV2NullableIpProtocol" }, "sourceNetwork": { "$ref": "#/components/schemas/manaV2NullableSourceNetworkMatchConfig" }, "sourcePort": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "sourcePortRange": { "$ref": "#/components/schemas/manaV2PortRangeConfig" } }, "additionalProperties": false }, "manaV2TrafficPolicyRulesetConfigNullableRuleRuleAction": { "type": "object", "properties": { "backupCircuit": { "$ref": "#/components/schemas/manaV2NullableSetCircuitConfig" }, "backupCircuitLabel": { "$ref": "#/components/schemas/manaV2NullableSetCircuitLabelConfig" }, "egress": { "type": "string", "example": "ENUM_VALUE" }, "logging": { "type": "boolean", "example": true }, "primaryCircuit": { "$ref": "#/components/schemas/manaV2NullableSetCircuitConfig" }, "primaryCircuitLabel": { "$ref": "#/components/schemas/manaV2NullableSetCircuitLabelConfig" }, "remark": { "$ref": "#/components/schemas/manaV2NullableSetDscpConfig" }, "setSlaClass": { "$ref": "#/components/schemas/manaV2NullableSetSlaClassConfig" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2NullableMaCsecRekeyInterval": { "type": "object", "properties": { "rekeyInterval": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2NullableMaCsecReplayProtectionWindowSize": { "type": "object", "properties": { "replayProtectionWindowSize": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2SnmpVacmGroupAccessConfig": { "type": "object", "properties": { "context": { "type": "string", "example": "example string" }, "contextMatch": { "type": "string", "example": "ENUM_VALUE" }, "name": { "type": "string", "example": "example string" }, "readView": { "type": "string", "example": "example string" }, "securityLevel": { "type": "string", "example": "ENUM_VALUE" }, "securityModel": { "type": "string", "example": "ENUM_VALUE" }, "writeView": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SnmpVacmGroupMemberConfig": { "type": "object", "properties": { "community": { "type": "string", "example": "example string" }, "securityModel": { "type": "string", "example": "ENUM_VALUE" }, "securityName": { "type": "string", "example": "example string" }, "type": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2NullableAsPathPrepend": { "type": "object", "properties": { "repeat": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullableBgpSetNextHop": { "type": "object", "properties": { "nextHop": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2NullableCallPolicy": { "type": "object", "properties": { "policy": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2NullableCommunities": { "type": "object", "properties": { "community": { "$ref": "#/components/schemas/manaV2CommunityType" } }, "additionalProperties": false }, "manaV2NullableLocalPreferance": { "type": "object", "properties": { "localPref": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullableMetric": { "type": "object", "properties": { "absolute": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "modifier": { "type": "integer", "format": "int32", "example": 123 } }, "additionalProperties": false }, "manaV2NullableWeight": { "type": "object", "properties": { "weight": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullableCommunity": { "type": "object", "properties": { "community": { "$ref": "#/components/schemas/manaV2CommunityContainer" } }, "additionalProperties": false }, "manaV2NullablePrefixSet": { "type": "object", "properties": { "prefixSet": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2NullableProtocolRouteType": { "type": "object", "properties": { "routeType": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2NullableRoutingProtocol": { "type": "object", "properties": { "protocol": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2NullableStalePurge": { "type": "object", "properties": { "stale": { "type": "boolean", "example": true } }, "additionalProperties": false }, "manaV2NullableApplicationMatchConfig": { "type": "object", "properties": { "match": { "$ref": "#/components/schemas/manaV2ApplicationMatchConfig" } }, "additionalProperties": false }, "manaV2NullableContentFilterMatchConfig": { "type": "object", "properties": { "match": { "$ref": "#/components/schemas/manaV2ContentFilterMatchConfig" } }, "additionalProperties": false }, "manaV2NullableDestinationNetworkMatchConfig": { "type": "object", "properties": { "destinationNetwork": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2PortRangeConfig": { "type": "object", "properties": { "lower": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "upper": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2NullableDomainListMatchConfig": { "type": "object", "properties": { "match": { "$ref": "#/components/schemas/manaV2DomainListMatchConfig" } }, "additionalProperties": false }, "manaV2NullableDscpMatchConfig": { "type": "object", "properties": { "match": { "$ref": "#/components/schemas/manaV2Dscp" } }, "additionalProperties": false }, "manaV2NullableIpProtocol": { "type": "object", "properties": { "ipProtocol": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2NullableSourceNetworkMatchConfig": { "type": "object", "properties": { "sourceNetwork": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2NullableSetCircuitConfig": { "type": "object", "properties": { "name": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2NullableSetCircuitLabelConfig": { "type": "object", "properties": { "ipsecLabel": { "type": "string", "example": "ENUM_VALUE" }, "label": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2NullableSetDscpConfig": { "type": "object", "properties": { "val": { "$ref": "#/components/schemas/manaV2Dscp" } }, "additionalProperties": false }, "manaV2NullableSetSlaClassConfig": { "type": "object", "properties": { "class": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2CommunityType": { "type": "object", "properties": { "additive": { "type": "boolean", "example": true }, "communityList": { "type": "array", "items": { "type": "string", "example": "example string" } } }, "additionalProperties": false }, "manaV2CommunityContainer": { "type": "object", "properties": { "community": { "type": "array", "items": { "type": "string", "example": "example string" } } }, "additionalProperties": false }, "manaV2ApplicationMatchConfig": { "type": "object", "properties": { "builtin": { "type": "string", "example": "example string" }, "custom": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2ContentFilterMatchConfig": { "type": "object", "properties": { "domainCategoryIds": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011 } } }, "additionalProperties": false }, "manaV2DomainListMatchConfig": { "type": "object", "properties": { "domainWildcards": { "type": "array", "items": { "type": "string", "example": "example string", "description": "List of wildcard strings each representing a selection of domains to apply the policy action on" } } }, "additionalProperties": false }, "manaV2Dscp": { "type": "object", "properties": { "codePoint": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````